

import { Group, paper, Path, Point, PointText, Layer } from "paper";
import {} from '../utils/arrayOperations'

const TextToSVG = require('text-to-svg');
const textToSVG = TextToSVG.loadSync('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100;0,200;1,100&display=swap');
 
const attributes = {fill: 'red', stroke: 'black'};
const options = {x: 0, y: 0, fontSize: 72, anchor: 'top', attributes: attributes};
const svg = textToSVG.getSVG('hello', options);
console.log(svg);



const canvas = document.getElementById("paperCanvas");
paper.install(window);
paper.setup(canvas);

  
new Layer();
paper.project.currentStyle = {
    strokeColor: 'black',
    fillColor: 'white',
    strokeWidth: 2,
};

var text = new PointText(paper.view.center.add(new Point(0, -60)));
text.fontSize = 150;
text.justification = 'center';
text.fillColor = 'white';
text.content = 'HELLO';
text.fontFamily = 'verdana';

var text2 = new PointText(paper.view.center.add(new Point(0, 40)));
text2.fontSize = 160;
text2.justification = 'center';
text2.fillColor = 'white';
text2.content = 'WORLD';

// var ss = text.intersect(text2)
console.log(text)